Bug 218442 - [patch] dns/ddclient: use anticongestion the periodic script
Summary: [patch] dns/ddclient: use anticongestion the periodic script
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: freebsd-ports-bugs (Nobody)
URL:
Keywords: patch
Depends on:
Blocks:
 
Reported: 2017-04-07 02:48 UTC by Alan Somers
Modified: 2017-05-20 15:00 UTC (History)
1 user (show)

See Also:
asomers: maintainer-feedback+


Attachments
Use anticongestion instead of simply sleeping (973 bytes, patch)
2017-04-07 02:48 UTC, Alan Somers
no flags Details | Diff
use anticongestion to reduce bursty load on server (970 bytes, patch)
2017-04-07 14:04 UTC, Alan Somers
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Alan Somers freebsd_committer 2017-04-07 02:48:16 UTC
Created attachment 181556 [details]
Use anticongestion instead of simply sleeping

svn r316342 added a common anticongestion routine that all periodic scripts should use instead of simply calling sleep.  To test if it's available, a port should check for the anticongestion_sleeptime variable.
Comment 1 Alan Somers freebsd_committer 2017-04-07 14:04:23 UTC
Created attachment 181567 [details]
use anticongestion to reduce bursty load on server

Fix a comment in the previous patch
Comment 2 mjl 2017-04-23 21:13:11 UTC
I have tested the patch on FreeBSD 10.3 (which does not have the anticongestion framework) and it seems fine to me.  Maintainer approved.
Comment 3 commit-hook freebsd_committer 2017-05-20 02:28:23 UTC
A commit references this bug:

Author: asomers
Date: Sat May 20 02:27:54 UTC 2017
New revision: 441283
URL: https://svnweb.freebsd.org/changeset/ports/441283

Log:
  Use anticongestion in dns/ddclient

  Introduced in src r316342, the anticongestion feature unifies multiple
  periodic scripts' disparate sleeps.

  PR:		218442
  Approved by:	mjl@luckie.org.nz (maintainer)
  Approved by:	brd (ports)

Changes:
  head/dns/ddclient/Makefile
  head/dns/ddclient/files/ddclient_force.in